# encoding: utf-8
#test of backpropagation algorithm

from ann import *
import os

def xor_backpropagation_train(ann):
	"""Backpropagation training data for obstacle
	avoidance on e-puck.
	"""
	trainingdata= [([0,1], [1]),([1,0], [1]),([1,1], [0]), ([0,0], [1])]
	
	backpropagation(ann, trainingdata)
	
def main():
	xornetwork= create_ann(os.path.join(os.getcwd(), "backprop_xor_test.ann"))
	xor_backpropagation_train(xornetwork)
	print xornetwork
	
	testdata= [[0,0],[0,1],[1,0],[1,1]]
	xornetwork.test(testdata)

if __name__ == "__main__":
	main()
